/* The code was made by Tamás Imets for an Arduino UNO project
   This code controls the BB-8 Droid from the Star Wars: The Force Awakens,
   and works with Bluetooth RC Car application, using a HC-06 seriaé bluetooth module
   See more details at instructables.com/member/Imetomi
   Friday,  December 25, 2015
*/
#include <Servo.h>
#include <SoftwareSerial.h>
#include "DualVNH5019MotorShield.h"
DualVNH5019MotorShield md;

int command = 0;  //incoming serial data
int led = 3;
SoftwareSerial bluetooth(A0, A1);
int cmd;

Servo head;
void setup() {
  bluetooth.begin(9600);
  Serial.begin(9600); // set up Serial library at 9600 bps - this is the speed the serial interface will work all
  pinMode(led, OUTPUT); //connect here the blue LED
  md.init();

}

void loop() {
 
  if (bluetooth.available()) {
    cmd = bluetooth.read();
    Serial.write(cmd);
    switch (cmd)
    {
      case 'C':
        md.setM1Speed(0); // stopped
        md.setM2Speed(0); // stopped
        break;

      case 'A':
        md.setM1Speed(-300);
        md.setM2Speed(-300);
        break;

      case 'B':
        md.setM1Speed(-70);
        md.setM2Speed(-70);
        break;

      case 'D':
        md.setM1Speed(70);
        md.setM2Speed(70);
        break;

      case 'E':
        md.setM1Speed(350);
        md.setM2Speed(350);
        break;

      case 'F':
        md.setM1Speed(70);
        md.setM2Speed(-70);
        break;
        
      case 'G':
        md.setM1Speed(200);
        md.setM2Speed(-200);
        break;
        
      case 'H':
        md.setM1Speed(-70);
        md.setM2Speed(70);
        break;
        
      case 'I':
        md.setM1Speed(-200);
        md.setM2Speed(200);
        break;
        
      case '0':
        digitalWrite(led, LOW);
        break;
      case '1':
        analogWrite(led, 50);
        break;
      case '2':
        analogWrite(led, 100);
        break;
      case '3':
        analogWrite(led, 150);
        break;
      case '4':
        analogWrite(led, 200);
        break;
      case '5':
        analogWrite(led, 255);
        break;
   }
   delay(2);
  }
}

